@font-face {
	font-family: 'Toffee';
	src: url('../fonts/Toffee Roman VF.ttf') format('truetype');
	font-weight: 100 900;
	font-style: normal;
	text-rendering: optimizeLegibility;
}

@font-face {
	font-family: 'Toffee';
	src: url('../fonts/Toffee Italic VF.ttf') format('truetype');
	font-weight: 100 900;
	font-style: italic;
	text-rendering: optimizeLegibility;
}


@font-face {
	font-family: 'Rice';
	src: url('../fonts/Rice-VF.ttf') format('truetype');
	font-weight: 100 900;
	font-stretch: 50% 150%;
	font-style: normal;
	text-rendering: optimizeLegibility;
}

@font-face {
	font-family: 'Rice';
	src: url('../fonts/Rice Oblique-VF.ttf') format('truetype');
	font-weight: 100 900;
	font-stretch: 50% 150%;
	font-style: italic;
	text-rendering: optimizeLegibility;
}

@font-face {
	font-family: 'Latte';
	src: url('../fonts/Latte-Roman-VF.ttf') format('truetype');
	font-weight: 100 900;
	font-style: normal;
	text-rendering: optimizeLegibility;
}

@font-face {
	font-family: 'Latte';
	src: url('../fonts/Latte-Italic-VF.ttf') format('truetype');
	font-weight: 100 900;
	font-style: italic;
	text-rendering: optimizeLegibility;
}

@font-face {
	font-family: 'Pastrami';
	src: url('../fonts/Pastrami-VF.ttf') format('truetype');
	font-weight: 100 900;
	font-style: normal;
	text-rendering: optimizeLegibility;
}

@font-face {
	font-family: 'Pork Chop';
	src: url('../fonts/Pork Chop VF.ttf') format('truetype');
	font-weight: 100 900;
	font-style: normal;
	text-rendering: optimizeLegibility;
}

@font-face {
	font-family: 'Pork Chop';
	src: url('../fonts/Pork Chop Italic VF.ttf') format('truetype');
	font-weight: 100 900;
	font-style: italic;
	text-rendering: optimizeLegibility;
}

:root {
	--background-color: #ffffff;
	--foreground-color: #333333;
}

html, body {
    overflow-x: hidden;
	font-kerning: normal;
	-webkit-font-kerning: normal;
	font-family: 'Rice';
	font-weight: 400;
	margin: 0;
	max-width: 100%;
	background-color: var(--background-color);
	color: var(--foreground-color);
	font-variant-numeric: proportional-nums;
	-moz-font-feature-settings: "pnum";
	-webkit-font-feature-settings: "pnum";
	font-feature-settings: "pnum";
	min-height: 100vh;
}

input {
	font-family: inherit;
	background-color: inherit;
	color: inherit;
	border: none;
}

iframe {
    overflow-clip-margin: content-box !important;
    border-width: 0;
    border-style: none;
    border-image: none;
    overflow: clip !important;
	width: 100%;
	height: 80%;
}

input:focus {
	outline: none;
}

button {
	font-family: inherit;
	color: inherit;
	border: inherit;
	cursor: pointer;
	background-color: inherit;
}

.wrap {
	width: 94%;
	margin: 0 auto;
}

li {
	list-style-type: none;
	color: var(--foreground-color);
	font-size: 1.5em;
	font-weight: 700;
	width: 100%;
	text-align: center;
}
a {
	text-decoration: none;
	color: inherit;
	display: inline-flex;
}

h1 {
	color: var(--foreground-color);
	font-size: 3.25em;
	line-height: 1.1;
	font-weight: 700;
	margin: 40px 0 0 0;
	letter-spacing: -.03em;
	margin-left: -5px;
}

h2 {
	color: var(--foreground-color);
	font-size: 2.25em;
	line-height: 1.1;
	font-weight: 700;
	margin: 40px 0 0 0;
}

h3 {
	color: var(--foreground-color);
	font-size: 1.5em;
	line-height: 1.1;
	font-weight: 700;
	margin: 40px 0 0 0;
}

p {
	text-decoration: none;
	font-weight: 400;
	font-size: 1.2em;
	margin-top: 20px;
	color: var(--foreground-color);
	line-height: 1.5;
}

.salt {
  -moz-font-feature-settings: "salt";
  -webkit-font-feature-settings: "salt";
  font-feature-settings: "salt";
}

.toffee {
	font-family: 'Toffee';
}

.rice {
	font-family: 'Rice';
}

.latte {
	font-family: 'Latte';
}

.pastrami {
	font-family: 'Pastrami';
}

.porkchop {
	font-family: 'Pork Chop';
}

.italic {
	font-style: italic;
}

.button {
	background: var(--foreground-color);
	color: var(--background-color);
	font-size: 1.25em;
	font-weight: bold;
	padding: 20px;
	margin: 20px 0;
	text-align: center;
}

.button:hover {
	opacity: .8;
}

.legal {
	color: var(--foreground-color);
	font-size: 1.5em;
	line-height: 1.1;
	font-weight: 700;
	margin: 40px 0 0 0;
}

#promobanner {
	width: 100%;
	height: 30px;
	left: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	position: fixed;
	z-index: 999;
	color: var(--background-color);
	background-color: var(--foreground-color);
	font-size: 1em;
}

#navmob {
	width: 100%;
	height: auto;
	left: 0;
	position: fixed;
	z-index: 999;
	background-color: var(--background-color);
	margin-top: 30px; /*Accounts for Promo Banner*/
}

.mobheader {
	width: 94%;
	margin: 0 3%;
	display: flex;
	justify-content: space-between;
	border-bottom: 2px solid var(--foreground-color);
	align-items: center;
	height: 90px;
}

#navdes {
	display: none;
}

.logo {
	width: 10vw;
	height: auto;
	min-width: 60px;
	padding: 20%;
	z-index: 999;
	fill: var(--foreground-color);
	left: -20%;
	position: relative;
}

.logo:hover {
	opacity: .8;
}

#dropbtn {
	width: 8vw;
	min-width: 40px;
	max-width: 60px;
	cursor: pointer;
	padding: 5%;
	display: block;
	z-index: 1000;
	position: relative;
	left: 5%;
}

#droparrow {
	transition: transform 0.5s;
	fill: var(--foreground-color);	
}

.navcontent {
	position: fixed;
	height: 100%;
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	top: -100%;
	transition: transform 0.5s;
	background-color: var(--background-color);
	gap: 5vh;
}

.navcontent a:hover {
	opacity: .8;
}

#maincontent{
	margin-top: 170px;
}

#productcontent{
	margin-top: 300px;
}

.colortoggle {
	width: 30px;
	padding: 15px;
	border-radius: 1000px;
	background-color: var(--foreground-color);
	cursor: pointer;
	fill: var(--background-color);
}

.colortoggle:hover {
	opacity: .8;
}

.card {
	display: flex;
	width: 100%;
	height: auto;
	flex-direction: column;
	align-items: stretch;
	border-bottom: 2px solid var(--foreground-color);
	padding: 20px 0;
}

.card .top {
	display: flex;
	width: 100%;
	justify-content: space-between;
	margin: 20px 0;
}

.prices {
	display: flex;
	gap: 20px;
	width: 60%;
	justify-content: flex-end;
}

.main{
	font-size: 14vw;
	text-align: center;
	margin: 0 0 -20px 0;
	border-radius: 4px;
	margin: 10px 0;
}

.slider-label{
	white-space: nowrap;
	width: 100px;
	grid-row: 1 / 1;
}

.buy {
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 20px;
	margin-top: 20px;
}

.buy a {
	width: 100%;
}

.buy a .button {
	width: 100%;
}

.italicswitch {
	display: flex;
	flex-direction: row;
	gap: 20px;
}

.italicbutton {
	display: flex;
    position: relative;
    padding: 20px 0;
	cursor: pointer;
}

.italicinactive:hover {
	opacity: .8;
}

.soon {
	opacity: 40%;
}

.soon svg {
	padding: 8% 16%;
	max-width: 600px;
	margin-left: auto;
	margin-right: auto;
	fill: #777777;
}

.italicinactive {
	border-top: 2px solid var(--background-color);
}

.italicactive {
	border-top: 2px solid var(--foreground-color);
	cursor: default;
	box-sizing: border-box;
}

.sliderbox {
	display: grid;
	gap: 20px;
	align-items: center;
	font-variant-numeric: tabular-nums;
	-moz-font-feature-settings: "tnum";
	-webkit-font-feature-settings: "tnum";
	font-feature-settings: "tnum";
	grid-template-columns: 1fr 10fr;
	margin: 20px 0 0 0
}

.slider {
	-webkit-appearance: none;
	height: 2px;
	background-color: var(--foreground-color);
	width: 100%;
	grid-row: 1 / 1;
grid-column
	FONT-WEIGHT: 200;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 25px;
  height: 25px;
  background: var(--background-color);
  border: 2px solid var(--foreground-color);
  border-radius: 1000px;
  cursor: pointer;
}

textarea {
	width: 100%;
	font-family: inherit;
	background-color: var(--background-color);
}

.contactfield {
	border: 2px solid var(--foreground-color);
	width: 100%;
	font-size: 1em;
	background-color: var(--background-color);
	max-width: 100%;
	box-sizing: border-box;
}

#message {
	height: 200px;
}

.contactfield:focus {
	outline: none;
}

#checkout-text {
    max-width: 400px;
    margin: 0 auto;
}

#checkout-text h1, #checkout-text p {
	color: var(--background-color);
    max-width: 400px;
	border-bottom: 2px solid var(--background-color);
    margin: auto;
	padding: 10px 0;
}

#checkout-text h1 {
	border-bottom: 2px solid var(--background-color);
	padding-right: 60px;
}

.checkout-active {
	position: fixed;
	height: 100%;
	width: 100%;
	background-color: var(--foreground-color);
	z-index: 99999999;
	overflow-y: scroll;
}

#buybox {
	width: 100%;
	position: fixed;
	background-color: var(--background-color);
	padding-top: 130px;
}

#buybox .wrap{
	margin: 0 auto;
	border-bottom: 2px solid var(--foreground-color);
}

#buybox .buyboxrow {
	width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#buybox p {
	margin-block-start: 0em;
}

#buybox h1 {
	margin: 0 0 0 -5px;
}

#closecheckout {
    width: 50px;
    height: 50px;
    margin: 10px 0;
    float: right;
}

#productcontent .description {
	border-bottom: 2px solid var(--foreground-color);
	margin-bottom: 40px;
    padding-bottom: 40px;
}

#footer {
	border-top: 2px solid var(--foreground-color);
	display: flex;
	gap: 20px;
	padding: 20px 0;
	margin: 40px 0 20px 0;
	flex-direction: column;
	align-items: flex-start;
}

#footer p {
	font-weight: bold;
	font-size: 1em;
	margin: 10px 0;
}

#footer a {
	width: auto;
}

#footer a:hover {
	opacity: .8;
}

/*JS Applied Styles*/

.slidein {
	transform: translateY(100%);
}

.hide {
	display: none;
}

.rotate {
	transform: rotate(180deg);
}

.dark {
	--background-color: #333333;
	--foreground-color: #FFFFFF;
}

@media screen and (min-width: 1200px) {

	h1 {
		font-size: 5em;
		margin-left: -10px;
	}
	
	h2 {
		font-size: 3.5em;
	}

	h3 {
		font-size: 2em;
	}

	.legal {
		font-size: 2em;
	}
	
	#navdes {
		width: 100%;
		height: 80px;
		background-color: var(--background-color);
		position: fixed;
		display: block;
		border-bottom: 2px solid var(--foreground-color);
		z-index: 999;
		margin-top: 30px; /*Accounts for Promo Banner*/
	}
	
	#navmob {
		display: none;
	}
	
	.wrap {
		max-width: 1200px;
		width: 100%;
		margin-top: 150px;
	}
	
	#navwrap {
		display: flex;
		justify-content: space-between;
		max-width: 1200px;
		width: 100%;
		margin: 0 auto;
		height: 101%;
		border-left: 2px solid var(--foreground-color);
	}
	
	.logo {
		width: 60px;
		padding: 10px;
		left: 0;
	}
	
	li {
		padding: 0 20px;
		border-left: 2px solid var(--foreground-color);
		position: relative;
		height: 100%;
		width: auto;
		font-size: 1.25em;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	
	.navcontent {
		flex-direction: row;
		align-items: space-between;
		position: relative;
		width: auto;
		justify-content: flex-end;
		top: 0;
		background-color: transparent;
		gap: 0;
	}
	
	.navcontent a {
		height: 100%;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	
	.colortoggle {
		border-radius: 0;
		display: flex;
		flex-direction: row;
		align-content: center;
		justify-content: center;
		padding: 0 10px;
		height:  100%;
	}
	
	.colortoggle svg {
		width: 30px;
		height: auto;
	}	
	
	.buy a {
		width: auto;
	}
	
	.main{
		font-size: 6em;
	}

	
	#footer {
		flex-direction: row;
	}
	
	#productcontent{
		margin-top: 330px;
	}

}